#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n , m ,x ,y,resenje = 0;
scanf("%d %d",&n,&m);
int A[n];
for(int i = 0; i<n; i++)
    scanf("%d",&A[i]);
for(int i = 0; i<m; i++)
{
     scanf("%d %d",&x,&y);
     resenje+= abs(A[x-1] + A[y-1]);
}
printf("%d",resenje);
    return 0;
}